# pgpPktPre_u Union Reference
[RPMPGP.]

`#include <rpmio/rpmpgp.h>`

Collaboration diagram for pgpPktPre_u:

[legend]

## Data Fields

pgpPktPubkey | pubkey
pgpPktSig | sig
pgpPktSymkey | symkey
pgpPktOnepass | onepass
pgpPktKey | key
pgpPktCdata | cdata
pgpPktEdata | edata
pgpPktLdata | ldata
pgpPktTrust | tdata
pgpPktUid | uid

## Detailed Description

Definition at line 1054 of file rpmpgp.h.

## Field Documentation

pgpPktCdata pgpPktPre_u::cdata

5.6. Compressed Data

Definition at line 1060 of file rpmpgp.h.

pgpPktEdata pgpPktPre_u::edata

5.7. Symmetrically Encrypted Data 5.8. Marker (obsolete)

Definition at line 1061 of file rpmpgp.h.

pgpPktKey pgpPktPre_u::key

5.5. Key Material

Definition at line 1059 of file rpmpgp.h.

pgpPktLdata pgpPktPre_u::ldata

5.9. Literal Data

Definition at line 1063 of file rpmpgp.h.

pgpPktOnepass pgpPktPre_u::onepass

5.4. One-Pass Signature

Definition at line 1058 of file rpmpgp.h.

pgpPktPubkey pgpPktPre_u::pubkey

5.1. Public-Key Encrypted Session Key

Definition at line 1055 of file rpmpgp.h.

pgpPktSig pgpPktPre_u::sig

5.2. Signature

Definition at line 1056 of file rpmpgp.h.

pgpPktSymkey pgpPktPre_u::symkey

5.3. Symmetric-Key Encrypted Session-Key

Definition at line 1057 of file rpmpgp.h.

pgpPktTrust pgpPktPre_u::tdata

5.10. Trust

Definition at line 1064 of file rpmpgp.h.

pgpPktUid pgpPktPre_u::uid

5.11. User ID

Definition at line 1065 of file rpmpgp.h.

The documentation for this union was generated from the following file:

- rpmio/rpmpgp.h